# DataExchange
TKIGES
IGESData

# IGESData_IGESType Class Reference

taken from directory part of an entity (from file or model),
gives "type" and "form" data, used to recognize entity's type

`#include <IGESData_IGESType.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | IGESData_IGESType ()
Standard_EXPORT | IGESData_IGESType (const Standard_Integer atype, const Standard_Integer aform)
Standard_EXPORT Standard_Integer | Type () const
| returns "type" data
Standard_EXPORT Standard_Integer | Form () const
| returns "form" data
Standard_EXPORT Standard_Boolean | IsEqual (const IGESData_IGESType &another) const
| compares two IGESTypes, avoiding comparing their fields
Standard_Boolean | operator== (const IGESData_IGESType &another) const
Standard_EXPORT void | Nullify ()
| resets fields (usefull when an IGESType is stored as mask)

## Private Attributes

Standard_Integer | thetype
Standard_Integer | theform

## Constructor & Destructor Documentation

Standard_EXPORT IGESData_IGESType::IGESData_IGESType | ( |  | ) |

Standard_EXPORT IGESData_IGESType::IGESData_IGESType | ( | const Standard_Integer | atype,
|  | const Standard_Integer | aform
| ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer IGESData_IGESType::Form | ( |  | ) | const

Standard_EXPORT Standard_Boolean IGESData_IGESType::IsEqual | ( | const IGESData_IGESType & | another | ) | const

Standard_EXPORT void IGESData_IGESType::Nullify | ( |  | ) |

void IGESData_IGESType::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESData_IGESType::operator new | ( | size_t | size | ) | `[inline]`

void* IGESData_IGESType::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Boolean IGESData_IGESType::operator== | ( | const IGESData_IGESType & | another | ) | const`[inline]`

Standard_EXPORT Standard_Integer IGESData_IGESType::Type | ( |  | ) | const

## Field Documentation

Standard_Integer IGESData_IGESType::theform `[private]`

Standard_Integer IGESData_IGESType::thetype `[private]`

The documentation for this class was generated from the following file:

- IGESData_IGESType.hxx